/*!
 * Email Signin Control
 *
 * @since 1.0.0
 * @pacakge core
*/
var EmailSignin = ControlSigninBase.extend({

	sdk: 'email',
	name: 'email',

	defaults: {},

	init: function() {

		this.permissions = this.rest_permissions = [ 'public_profile', 'email' ];
	},

	_render: function() {

		this.remove_loading_state();
	},

	connect: function( callback ) {

		var self = this,
			form = self.container.closest( '.mts-cl-group' ).next().show();

		self.locker.container.addClass( 'mts-cl-showing-subscription-form' );

		// Validate here and then identify and do callback
		form.on( 'submit', function() {

			if ( ! self._validate( form ) ) {
				return false;
			}

			self.locker.container.removeClass( 'mts-cl-showing-subscription-form' );
			form.hide();
			callback( self.get_values( form ), {} );

			return false;
		});
	},

	get_values: function( form ) {

		var data = {};
		form.find( '.mts-cl-input' ).each(function() {
			var input = $( this ),
				val = input.val().trim(),
				id = input.attr( 'name' ).trim();

			if ( val.length > 0 ) {
				data[id] = val;
			}
		});

		return data;
	},

	_validate: function( form ) {

		var result = true;
		form.find( '.mts-cl-input' ).each(function() {

			var input = $( this ),
				val = input.val().trim();

			if ( input.hasClass( 'mts-cl-input-required' ) && 0 === val.length ) {
				input.addClass( 'has-error' );
				result = false;
			}
		});

		return result;
	}

});
cl.controls.email = EmailSignin;
