// Google Analytics
cl.hooks.add_action( 'locker-init', function( locker ) {

	if ( ! cl.settings.get( 'google_analytics' ) ) {
		return;
	}

	if ( 'undefined' === typeof window._gaq && 'undefined' === typeof window.ga ) {
		return;
	}

	var pingGoogle = function( category, action, label ) {

		if ( window.ga ) {
			window.ga( 'send', 'event', category, action, label );
		} else {
			window._gaq.push( [ '_trackEvent', category, action, label ] );
		}
	};

	locker.add_action( 'unlock', function( type, name, url ) {

		url = url || window.location.href;

		// Social
		var hash = {
			'facebook-like': 'Facebook Like',
			'facebook-share': 'Facebook Share',
			'twitter-follow': 'Twitter Follow',
			'twitter-tweet': 'Twitter Tweet',
			'google-plus': 'Google Plus',
			'google-share': 'Google Share',
			'linkedin-share': 'LinkedIn Share',
			'youtube-subscribe': 'Youtube Subscribe',

			// Signin
			'facebook': 'Facebook Sign-In',
			'twitter': 'Twitter Sign-In',
			'google': 'Google Sign-In',
			'linkedin': 'LinkedIn Sign-In',

			// Email
			'form': 'Opt-In Form'
		};

		if ( 'button' === type ) {

			pingGoogle( 'Lockers', 'Unlocked (Total)', url );
			pingGoogle( 'Lockers', 'Unlocked via ' + hash[name], url );

		} else if ( 'cross' === type ) {

			pingGoogle( 'Lockers', 'Skipped (Total)', url );
			pingGoogle( 'Lockers', 'Skipped via Cross', url );
		}
	});
});
