// Linkedin SDK
cl.sdk.linkedin = {
	name: 'linkedin',
	id: 'linkedin-jssdk',
	url: '//platform.linkedin.com/in.js',
	setup: false,

	is_loaded: function() {
		return window.IN && 'object' === typeof window.IN;
	},

	prepare: function() {

		if ( this.is_loaded() && this.setup ) {
			return;
		}

		window.IN.init();

		$( document ).trigger( 'linkedin-init' );

		this.setup = true;
	},

	events: function() {

		var self = this,
			original = window.open;

		if ( self.is_loaded() ) {
			self.prepare();
		} else {
			$( document ).bind( 'linkedin-script-loaded', function() {
				self.prepare();
			});
		}

		window.open = function( url, name, specs, replace ) {
			var popup = original( url, name, specs, replace );

			if ( ! popup ) {
				return popup;
			}

			var newName = name || popup.name;
			if ( newName.includes( 'easyXDM_IN' ) ) {
				cl.sdk.linkedin._active_popup = popup;
			}

			return popup;
		};
	}
};

// Linkedin Connect SDK
cl.sdk['linkedin-connect'] = {
	name: 'linkedin-connect',
	id: 'linkedin-connect-jssdk',
	url: '//platform.linkedin.com/in.js?async=true',
	setup: false,

	is_loaded: function() {
		return window.IN && 'object' === typeof window.IN;
	},

	prepare: function() {

		if ( this.is_loaded() && this.setup ) {
			return;
		}

		window.IN.init({
			api_key: cl.settings.get( 'linkedin' ).client_id
		});

		$( document ).trigger( 'linkedin-connect-init' );

		this.setup = true;
	},

	events: function() {

		var self = this;

		if ( self.is_loaded() ) {
			self.prepare();
		} else {
			$( document ).bind( 'linkedin-connect-script-loaded', function() {
				self.prepare();
			});
		}
	}
};
